package com.gh.gamecenter.entity

import com.gh.gamecenter.common.entity.LinkEntity
import com.gh.gamecenter.home.custom.model.CustomPageData
import com.google.gson.annotations.SerializedName

data class FollowCommonContentCollection(
    @SerializedName("title")
    private val _title: String? = null,
    @SerializedName("link")
    private val _link: LinkEntity? = null,
    @SerializedName("link_common_collection")
    private val _linkCommonCollection: CustomPageData.CommonContentCollection? = null
) {
    val title: String
        get() = _title ?: ""

    val link: LinkEntity
        get() = _link ?: LinkEntity()

    val linkCommonCollection: CustomPageData.CommonContentCollection
        get() = _linkCommonCollection ?: CustomPageData.CommonContentCollection()
}